# CONFIG_SPI is not set
CONFIG_I2C=y
# CONFIG_KSCAN is not set
# CONFIG_WIFI is not set
CONFIG_NET_CONFIG_IEEE802154_DEV_NAME=""
# CONFIG_MODEM is not set
# CONFIG_UART_INTERRUPT_DRIVEN is not set
CONFIG_GPIO_NRF_P1=y
CONFIG_BT_HCI_ACL_FLOW_CONTROL=y
CONFIG_BT_HCI_VS_EXT=y
CONFIG_BOARD="nrf5340dk_nrf5340_cpuapp"
# CONFIG_BUILD_WITH_TFM is not set
CONFIG_FLASH_LOAD_SIZE=0x30000
CONFIG_SRAM_SIZE=192
CONFIG_FLASH_LOAD_OFFSET=0x50000
CONFIG_SOC="nRF5340_CPUAPP_QKAA"
CONFIG_SOC_SERIES="nrf53"
CONFIG_NUM_IRQS=69
CONFIG_SYS_CLOCK_HW_CYCLES_PER_SEC=32768
CONFIG_HEAP_MEM_POOL_SIZE=2048
# CONFIG_WATCHDOG is not set
# CONFIG_UART_NS16550 is not set
CONFIG_GPIO=y
CONFIG_PM=y
# CONFIG_PM_DEEP_SLEEP_STATES is not set
CONFIG_HAS_POWER_STATE_DEEP_SLEEP_1=y
# CONFIG_PM_DEVICE is not set
CONFIG_SOC_HAS_TIMING_FUNCTIONS=y
CONFIG_ARCH_HAS_CUSTOM_BUSY_WAIT=y
# CONFIG_CORTEX_M_SYSTICK is not set
CONFIG_CLOCK_CONTROL=y
CONFIG_NRF_RTC_TIMER=y
CONFIG_SYS_CLOCK_TICKS_PER_SEC=32768
CONFIG_BUILD_OUTPUT_HEX=y
# CONFIG_FPU is not set
CONFIG_ROM_START_OFFSET=0
CONFIG_FLASH_SIZE=1024
CONFIG_FLASH_BASE_ADDRESS=0x0
# CONFIG_GPIO_MCUX is not set
# CONFIG_CPU_HAS_CUSTOM_FIXED_SOC_MPU_REGIONS is not set
CONFIG_TINYCRYPT=y
CONFIG_SERIAL=y
# CONFIG_UART_PL011 is not set
# CONFIG_IPM_STM32_IPCC is not set

#
# Modules
#

#
# Available modules.
#

#
# nrf (C:Userskoverncsv1.5.1nrf)
#

#
# Nordic nRF Connect
#
CONFIG_MAIN_STACK_SIZE=1024
CONFIG_PRIVILEGED_STACK_SIZE=1024
# CONFIG_NCS_SAMPLES_DEFAULTS is not set
CONFIG_LOG_DEFAULT_LEVEL=3

#
# Bootloader
#
# CONFIG_BUILD_S1_VARIANT is not set
# CONFIG_SECURE_BOOT is not set
CONFIG_PM_PARTITION_SIZE_PROVISION=0x280
# CONFIG_B0_MIN_PARTITION_SIZE is not set
CONFIG_PM_PARTITION_SIZE_B0_IMAGE=0x8000
# CONFIG_SECURE_BOOT_CRYPTO is not set

#
# Secure Boot firmware validation
#
CONFIG_SB_VALIDATION_INFO_MAGIC=0x86518483
CONFIG_SB_VALIDATION_POINTER_MAGIC=0x6919b47e
CONFIG_SB_VALIDATION_INFO_CRYPTO_ID=1
CONFIG_SB_VALIDATION_INFO_VERSION=2
CONFIG_SB_VALIDATION_METADATA_OFFSET=0
CONFIG_SB_VALIDATE_FW_SIGNATURE=y
# end of Secure Boot firmware validation
# end of Bootloader

#
# Bluetooth Low Energy
#
CONFIG_BT_MAX_CONN=1
CONFIG_BT_HCI_TX_STACK_SIZE=1024
CONFIG_BT_RX_STACK_SIZE=2200
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2048

#
# BLE Libraries
#
# CONFIG_BT_GATT_POOL is not set
# CONFIG_BT_GATT_DM is not set
# CONFIG_BT_CONN_CTX is not set

#
# Bluetooth Services
#
CONFIG_BT_NRF_SERVICES=y
# CONFIG_BT_BAS_CLIENT is not set
# CONFIG_BT_BMS is not set
# CONFIG_BT_CTS_CLIENT is not set
# CONFIG_BT_DFU_SMP is not set
# CONFIG_BT_HIDS is not set
# CONFIG_BT_HOGP is not set
# CONFIG_BT_LBS is not set
CONFIG_BT_NUS=y
# CONFIG_BT_NUS_LOG_LEVEL_OFF is not set
# CONFIG_BT_NUS_LOG_LEVEL_ERR is not set
# CONFIG_BT_NUS_LOG_LEVEL_WRN is not set
CONFIG_BT_NUS_LOG_LEVEL_INF=y
# CONFIG_BT_NUS_LOG_LEVEL_DBG is not set
CONFIG_BT_NUS_LOG_LEVEL=3
# CONFIG_BT_NUS_CLIENT is not set
# CONFIG_BT_THROUGHPUT is not set
# CONFIG_BT_LATENCY is not set
# CONFIG_BT_LATENCY_CLIENT is not set
# CONFIG_BT_ALEXA_GADGETS is not set
# CONFIG_BT_ALEXA_GADGETS_PROFILE is not set
# end of Bluetooth Services
# end of Bluetooth Low Energy

#
# DFU
#

#
# DFU
#
# CONFIG_DFU_TARGET is not set
# end of DFU
# end of DFU

# CONFIG_ESB is not set

#
# Peripheral CPU DFU (PCD)
#
# CONFIG_PCD is not set
# end of Peripheral CPU DFU (PCD)

#
# Networking
#

#
# Application protocols
#
# CONFIG_NRF_CLOUD is not set
# CONFIG_DOWNLOAD_CLIENT is not set
# CONFIG_AWS_IOT is not set
# CONFIG_AWS_JOBS is not set
# CONFIG_AZURE_IOT_HUB is not set
# CONFIG_CLOUD_API is not set

#
# Self-Registration (Zi ZHu Ce)
#
# CONFIG_ZZHC is not set
# end of Self-Registration (Zi ZHu Ce)

# CONFIG_ICAL_PARSER is not set
# CONFIG_FTP_CLIENT is not set
# end of Application protocols
# end of Networking

#
# NFC
#
# CONFIG_NFC_NDEF is not set
# CONFIG_NFC_NDEF_PARSER is not set
# CONFIG_NFC_NDEF_PAYLOAD_TYPE_COMMON is not set
# CONFIG_NFC_T2T_PARSER is not set
# CONFIG_NFC_T4T_NDEF_FILE is not set
# CONFIG_NFC_T4T_ISODEP is not set
# CONFIG_NFC_T4T_APDU is not set
# CONFIG_NFC_T4T_CC_FILE is not set
# CONFIG_NFC_T4T_HL_PROCEDURE is not set
# CONFIG_NFC_PLATFORM is not set
# CONFIG_NFC_TNEP_TAG is not set
# CONFIG_NFC_TNEP_POLLER is not set
# CONFIG_NFC_TNEP_CH is not set
# end of NFC

# CONFIG_PROFILER is not set

#
# SPM
#
CONFIG_SPM=y
# CONFIG_SPM_BUILD_STRATEGY_USE_HEX_FILE is not set
# CONFIG_SPM_BUILD_STRATEGY_SKIP_BUILD is not set
CONFIG_SPM_BUILD_STRATEGY_FROM_SOURCE=y
# CONFIG_IS_SPM is not set
CONFIG_SPM_SECURE_SERVICES=y
CONFIG_SPM_SERVICE_READ=y
# CONFIG_SPM_SERVICE_REBOOT is not set
CONFIG_SPM_SERVICE_FIND_FIRMWARE_INFO=y
# CONFIG_SPM_SERVICE_S0_ACTIVE is not set
# CONFIG_SPM_SERVICE_PREVALIDATE is not set
# CONFIG_SPM_SERVICE_BUSY_WAIT is not set
CONFIG_ARM_ENTRY_VENEERS_LIB_NAME="spm/libspmsecureentries.a"
# end of SPM

CONFIG_FW_INFO=y
CONFIG_FW_INFO_OFFSET=0x200
CONFIG_FW_INFO_FIRMWARE_VERSION=1
CONFIG_FW_INFO_MAGIC_COMMON=0x281ee6de
CONFIG_FW_INFO_MAGIC_FIRMWARE_INFO=0x8fcebb4c
CONFIG_FW_INFO_MAGIC_EXT_API=0xb845acea
CONFIG_FW_INFO_HARDWARE_ID=53
CONFIG_FW_INFO_VERSION=2
CONFIG_FW_INFO_CRYPTO_ID=0
CONFIG_FW_INFO_MAGIC_COMPATIBILITY_ID=0
CONFIG_FW_INFO_MAGIC_LEN=12
CONFIG_FW_INFO_VALID_VAL=0x9102FFFF
CONFIG_EXT_API_PROVIDE_EXT_API_UNUSED=y
# CONFIG_EXT_API_PROVIDE_EXT_API_OPTIONAL is not set
# CONFIG_EXT_API_PROVIDE_EXT_API_REQUIRED is not set
# CONFIG_EXT_API_PROVIDE_EXT_API_ENABLED is not set
# CONFIG_PPI_TRACE is not set
# CONFIG_CPU_LOAD is not set
# CONFIG_SHELL_BT_NUS is not set

#
# Nordic MPSL
#
CONFIG_MPSL_THREAD_COOP_PRIO=8
CONFIG_MPSL_SIGNAL_STACK_SIZE=1024
CONFIG_MPSL_TIMESLOT_SESSION_COUNT=0
# CONFIG_MPSL_LOG_LEVEL_OFF is not set
# CONFIG_MPSL_LOG_LEVEL_ERR is not set
# CONFIG_MPSL_LOG_LEVEL_WRN is not set
CONFIG_MPSL_LOG_LEVEL_INF=y
# CONFIG_MPSL_LOG_LEVEL_DBG is not set
CONFIG_MPSL_LOG_LEVEL=3
# end of Nordic MPSL

#
# Partition Manager
#
CONFIG_PARTITION_MANAGER_ENABLED=y
CONFIG_SRAM_BASE_ADDRESS=0x20040000

#
# Zephyr subsystem configurations
#
CONFIG_PM_PARTITION_SIZE_SETTINGS_STORAGE=0x2000
# end of Zephyr subsystem configurations

#
# Zephyr samples configurations
#
# CONFIG_HCI_RPMSG_BUILD_STRATEGY_SKIP_BUILD is not set
CONFIG_HCI_RPMSG_BUILD_STRATEGY_FROM_SOURCE=y
CONFIG_RPMSG_NRF53_SRAM_SIZE=0x10000
# end of Zephyr samples configurations

#
# NCS subsystem configurations
#

#
# NCS samples configurations
#
# end of NCS samples configurations

# CONFIG_PM_SINGLE_IMAGE is not set
# CONFIG_PM_EXTERNAL_FLASH is not set
CONFIG_PM_SRAM_BASE=0x20000000
CONFIG_PM_SRAM_SIZE=0x80000
# end of Partition Manager

#
# nRF RPC (Remote Procedure Call) library
#
# end of nRF RPC (Remote Procedure Call) library

# CONFIG_ZIGBEE is not set

#
# Full Modem Firmware Update Management(FMFU)
#
# CONFIG_MGMT_FMFU_LOG_LEVEL_OFF is not set
# CONFIG_MGMT_FMFU_LOG_LEVEL_ERR is not set
# CONFIG_MGMT_FMFU_LOG_LEVEL_WRN is not set
CONFIG_MGMT_FMFU_LOG_LEVEL_INF=y
# CONFIG_MGMT_FMFU_LOG_LEVEL_DBG is not set
CONFIG_MGMT_FMFU_LOG_LEVEL=3
# end of Full Modem Firmware Update Management(FMFU)

CONFIG_BOOT_SIGNATURE_KEY_FILE=""
CONFIG_TFM_BOARD="C:/Users/kover/ncs/v1.5.1/nrf/modules/tfm/boards/nrf5340_cpuapp"
# CONFIG_CDDL_GEN is not set

#
# Libraries
#
# CONFIG_AGPS is not set
# CONFIG_AGPS_LOG_LEVEL_OFF is not set
# CONFIG_AGPS_LOG_LEVEL_ERR is not set
# CONFIG_AGPS_LOG_LEVEL_WRN is not set
CONFIG_AGPS_LOG_LEVEL_INF=y
# CONFIG_AGPS_LOG_LEVEL_DBG is not set
CONFIG_AGPS_LOG_LEVEL=3

#
# Binary libraries
#
# end of Binary libraries

# CONFIG_NRF_MODEM_LIB is not set

#
# BSD library (deprecated)
#

#
# All the configs below are deprecated, please use NRF_MODEM_LIB equivalents instead
#
# CONFIG_BSD_LIBRARY is not set
# end of BSD library (deprecated)

# CONFIG_ADP536X is not set

#
# AT Command driver
#
# end of AT Command driver

# CONFIG_LTE_LINK_CONTROL is not set
# CONFIG_FPROTECT is not set
CONFIG_NRF_SPU_FLASH_REGION_SIZE=0x4000
CONFIG_FPROTECT_BLOCK_SIZE=0x4000

#
# AT Host Library for nrf91
#
# CONFIG_AT_HOST_LIBRARY is not set
# end of AT Host Library for nrf91

CONFIG_DK_LIBRARY=y
CONFIG_DK_LIBRARY_BUTTON_SCAN_INTERVAL=10
CONFIG_DK_LIBRARY_INVERT_BUTTONS=y
CONFIG_DK_LIBRARY_INVERT_LEDS=y
CONFIG_DK_LIBRARY_DYNAMIC_BUTTON_HANDLERS=y
# CONFIG_DK_LIBRARY_LOG_LEVEL_OFF is not set
# CONFIG_DK_LIBRARY_LOG_LEVEL_ERR is not set
# CONFIG_DK_LIBRARY_LOG_LEVEL_WRN is not set
CONFIG_DK_LIBRARY_LOG_LEVEL_INF=y
# CONFIG_DK_LIBRARY_LOG_LEVEL_DBG is not set
CONFIG_DK_LIBRARY_LOG_LEVEL=3
# CONFIG_AT_CMD_PARSER is not set
# CONFIG_MODEM_INFO is not set
CONFIG_RESET_ON_FATAL_ERROR=y
# CONFIG_FATAL_ERROR_LOG_LEVEL_OFF is not set
# CONFIG_FATAL_ERROR_LOG_LEVEL_ERR is not set
# CONFIG_FATAL_ERROR_LOG_LEVEL_WRN is not set
CONFIG_FATAL_ERROR_LOG_LEVEL_INF=y
# CONFIG_FATAL_ERROR_LOG_LEVEL_DBG is not set
CONFIG_FATAL_ERROR_LOG_LEVEL=3
# CONFIG_SMS is not set
# CONFIG_SUPL_CLIENT_LIB is not set
# CONFIG_DATE_TIME is not set
# CONFIG_RAM_POWER_DOWN_LIBRARY is not set
# end of Libraries

#
# Device Drivers
#
# CONFIG_BT_DRIVER_QUIRK_NO_AUTO_DLE is not set
# CONFIG_ETH_RTT is not set
# CONFIG_SENSOR is not set

#
# GPS Drivers
#
# CONFIG_GPS_SIM is not set
# end of GPS Drivers

# CONFIG_NRF_SW_LPUART is not set
# end of Device Drivers

#
# External libraries
#
# end of External libraries

# CONFIG_UNITY is not set
# end of Nordic nRF Connect

CONFIG_ZEPHYR_NRF_MODULE=y
# end of nrf (C:Userskoverncsv1.5.1nrf)

#
# mcuboot (C:Userskoverncsv1.5.1bootloadermcuboot)
#

#
# MCUboot
#
CONFIG_DT_FLASH_WRITE_BLOCK_SIZE=4
# end of MCUboot

CONFIG_ZEPHYR_MCUBOOT_MODULE=y
# end of mcuboot (C:Userskoverncsv1.5.1bootloadermcuboot)

#
# nrfxlib (C:Userskoverncsv1.5.1nrfxlib)
#

#
# Nordic nrfxlib
#
CONFIG_NRF_MODEM_SHMEM_CTRL_SIZE=0x4e8
# CONFIG_NFC_T2T_NRFXLIB is not set
# CONFIG_NFC_T4T_NRFXLIB is not set

#
# Crypto libraries for nRF5x SOCs.
#
# CONFIG_NRF_OBERON is not set
# CONFIG_NRF_CC310_BL is not set
# end of Crypto libraries for nRF5x SOCs.

#
# Nordic Security
#
# CONFIG_NORDIC_SECURITY_BACKEND is not set
# end of Nordic Security

# CONFIG_BT_LL_SOFTDEVICE_VS_INCLUDE is not set
# CONFIG_BT_LL_SOFTDEVICE_DEFAULT is not set
# CONFIG_NRF_RPC is not set

#
# ZBOSS library configuration
#
CONFIG_ZIGBEE_LIBRARY_DEVELOPMENT=y
CONFIG_ZIGBEE_LIBRARY_SOC=y
# CONFIG_ZIGBEE_LIBRARY_NCP_DEV is not set
# CONFIG_ZIGBEE_GP_NONE is not set
CONFIG_ZIGBEE_GP_PB=y
# CONFIG_ZIGBEE_GP_CB is not set
# end of ZBOSS library configuration
# end of Nordic nrfxlib

CONFIG_ZEPHYR_NRFXLIB_MODULE=y
# end of nrfxlib (C:Userskoverncsv1.5.1nrfxlib)

#
# hal_nordic (C:Userskoverncsv1.5.1moduleshalnordic)
#
CONFIG_ZEPHYR_HAL_NORDIC_MODULE=y
CONFIG_HAS_NORDIC_DRIVERS=y

#
# Nordic drivers
#
# CONFIG_NRF_802154_SER_HOST is not set
# end of Nordic drivers

CONFIG_HAS_NRFX=y

#
# nrfx drivers
#
CONFIG_NRFX_CLOCK=y
CONFIG_NRFX_CLOCK_LFXO_TWO_STAGE_ENABLED=y
CONFIG_NRFX_DPPI=y
# CONFIG_NRFX_EGU is not set
# CONFIG_NRFX_EGU0 is not set
# CONFIG_NRFX_EGU1 is not set
# CONFIG_NRFX_EGU2 is not set
# CONFIG_NRFX_EGU3 is not set
# CONFIG_NRFX_EGU4 is not set
# CONFIG_NRFX_EGU5 is not set
CONFIG_NRFX_GPIOTE=y
# CONFIG_NRFX_I2S is not set
CONFIG_NRFX_IPC=y
# CONFIG_NRFX_NFCT is not set
CONFIG_NRFX_NVMC=y
# CONFIG_NRFX_PDM is not set
# CONFIG_NRFX_POWER is not set
# CONFIG_NRFX_PWM is not set
# CONFIG_NRFX_PWM0 is not set
# CONFIG_NRFX_PWM1 is not set
# CONFIG_NRFX_PWM2 is not set
# CONFIG_NRFX_PWM3 is not set
# CONFIG_NRFX_QSPI is not set
# CONFIG_NRFX_RTC is not set
# CONFIG_NRFX_RTC0 is not set
# CONFIG_NRFX_RTC1 is not set
# CONFIG_NRFX_SAADC is not set
# CONFIG_NRFX_SPIM is not set
# CONFIG_NRFX_SPIM0 is not set
# CONFIG_NRFX_SPIM1 is not set
# CONFIG_NRFX_SPIM2 is not set
# CONFIG_NRFX_SPIM3 is not set
# CONFIG_NRFX_SPIM4 is not set
# CONFIG_NRFX_SPIS is not set
# CONFIG_NRFX_SPIS0 is not set
# CONFIG_NRFX_SPIS1 is not set
# CONFIG_NRFX_SPIS2 is not set
# CONFIG_NRFX_SPIS3 is not set
# CONFIG_NRFX_SYSTICK is not set
# CONFIG_NRFX_TIMER is not set
# CONFIG_NRFX_TIMER0 is not set
# CONFIG_NRFX_TIMER1 is not set
# CONFIG_NRFX_TIMER2 is not set
CONFIG_NRFX_TWIM=y
# CONFIG_NRFX_TWIM0 is not set
CONFIG_NRFX_TWIM1=y
# CONFIG_NRFX_TWIM2 is not set
# CONFIG_NRFX_TWIM3 is not set
# CONFIG_NRFX_TWIS is not set
# CONFIG_NRFX_TWIS0 is not set
# CONFIG_NRFX_TWIS1 is not set
# CONFIG_NRFX_TWIS2 is not set
# CONFIG_NRFX_TWIS3 is not set
CONFIG_NRFX_UARTE=y
CONFIG_NRFX_UARTE0=y
# CONFIG_NRFX_UARTE1 is not set
# CONFIG_NRFX_UARTE2 is not set
# CONFIG_NRFX_UARTE3 is not set
# CONFIG_NRFX_USBD is not set
# CONFIG_NRFX_USBREG is not set
# CONFIG_NRFX_WDT is not set
# CONFIG_NRFX_WDT0 is not set
# CONFIG_NRFX_WDT1 is not set
# CONFIG_NRFX_PRS is not set
# CONFIG_NRFX_PRS_BOX_0 is not set
# CONFIG_NRFX_PRS_BOX_1 is not set
# CONFIG_NRFX_PRS_BOX_2 is not set
# CONFIG_NRFX_PRS_BOX_3 is not set
# CONFIG_NRFX_PRS_BOX_4 is not set
# end of nrfx drivers
# end of hal_nordic (C:Userskoverncsv1.5.1moduleshalnordic)

#
# cddl-gen (C:Userskoverncsv1.5.1moduleslibcddl-gen)
#
CONFIG_ZEPHYR_CDDL_GEN_MODULE=y
# end of cddl-gen (C:Userskoverncsv1.5.1moduleslibcddl-gen)

#
# connectedhomeip (C:Userskoverncsv1.5.1moduleslibconnectedhomeip)
#
# CONFIG_CHIP is not set
CONFIG_ZEPHYR_CONNECTEDHOMEIP_MODULE=y
# end of connectedhomeip (C:Userskoverncsv1.5.1moduleslibconnectedhomeip)

#
# Optional modules. Make sure they're installed, via the project manifest.
#
# CONFIG_CANOPENNODE is not set
# CONFIG_CIVETWEB is not set
CONFIG_HAS_CMSIS_CORE=y
CONFIG_HAS_CMSIS_CORE_M=y
CONFIG_LIBMETAL=y
CONFIG_LIBMETAL_SRC_PATH="libmetal"
# CONFIG_HAS_SEMTECH_LORAMAC is not set
# CONFIG_HAS_SEMTECH_SOFT_SE is not set
# CONFIG_HAS_SEMTECH_RADIO_DRIVERS is not set
# CONFIG_MBEDTLS is not set
# CONFIG_HAS_MEC_HAL is not set
CONFIG_OPENAMP=y
CONFIG_OPENAMP_SRC_PATH="open-amp"
CONFIG_OPENAMP_MASTER=y
CONFIG_OPENAMP_SLAVE=y
# CONFIG_SOF is not set
# CONFIG_MIPI_SYST_LIB is not set
CONFIG_NUM_PREEMPT_PRIORITIES=15
# CONFIG_TINYCBOR is not set
# CONFIG_TINYCRYPT_CTR_PRNG is not set
CONFIG_TINYCRYPT_SHA256=y
CONFIG_TINYCRYPT_SHA256_HMAC=y
CONFIG_TINYCRYPT_SHA256_HMAC_PRNG=y
# CONFIG_TINYCRYPT_ECC_DH is not set
# CONFIG_TINYCRYPT_ECC_DSA is not set
CONFIG_TINYCRYPT_AES=y
# CONFIG_TINYCRYPT_AES_CBC is not set
# CONFIG_TINYCRYPT_AES_CTR is not set
# CONFIG_TINYCRYPT_AES_CCM is not set
CONFIG_TINYCRYPT_AES_CMAC=y
# CONFIG_MCUBOOT_BOOTUTIL_LIB is not set

#
# Unavailable modules, please install those via the project manifest.
#
# end of Modules

# CONFIG_BOARD_NRF5340PDK_NRF5340_CPUAPP is not set
# CONFIG_BOARD_NRF5340PDK_NRF5340_CPUAPPNS is not set
# CONFIG_BOARD_NRF5340DK_NRF5340_CPUAPP is not set
CONFIG_BOARD_NRF5340DK_NRF5340_CPUAPPNS=y

#
# Board Options
#
CONFIG_IPM_NRFX=y
CONFIG_RPMSG_SERVICE_DUAL_IPM_SUPPORT=y
CONFIG_IPM_MSG_CH_0_ENABLE=y
CONFIG_IPM_MSG_CH_1_ENABLE=y
CONFIG_RPMSG_SERVICE_IPM_TX_NAME="IPM_0"
CONFIG_RPMSG_SERVICE_IPM_RX_NAME="IPM_1"
CONFIG_IPM_MSG_CH_0_TX=y
# CONFIG_IPM_MSG_CH_0_RX is not set
# CONFIG_IPM_MSG_CH_1_TX is not set
CONFIG_IPM_MSG_CH_1_RX=y
CONFIG_BOARD_ENABLE_DCDC_APP=y
CONFIG_BOARD_ENABLE_DCDC_NET=y
CONFIG_BOARD_ENABLE_DCDC_HV=y
CONFIG_BT_HAS_HCI_VS=y
CONFIG_BOARD_ENABLE_CPUNET=y
CONFIG_DOMAIN_CPUNET_BOARD="nrf5340dk_nrf5340_cpunet"
# CONFIG_BT_CTLR is not set
CONFIG_BT_ECC=y
# end of Board Options

# CONFIG_SOC_SERIES_BEETLE is not set
# CONFIG_SOC_SERIES_ARM_DESIGNSTART is not set
# CONFIG_SOC_SERIES_MPS2 is not set
# CONFIG_SOC_SERIES_MUSCA is not set
# CONFIG_SOC_SERIES_MUSCA_B1 is not set
# CONFIG_SOC_SERIES_MUSCA_S1 is not set
# CONFIG_SOC_SERIES_SAMD20 is not set
# CONFIG_SOC_SERIES_SAMD21 is not set
# CONFIG_SOC_SERIES_SAMD51 is not set
# CONFIG_SOC_SERIES_SAME51 is not set
# CONFIG_SOC_SERIES_SAME53 is not set
# CONFIG_SOC_SERIES_SAME54 is not set
# CONFIG_SOC_SERIES_SAMR21 is not set
# CONFIG_SOC_SERIES_SAM3X is not set
# CONFIG_SOC_SERIES_SAM4E is not set
# CONFIG_SOC_SERIES_SAM4L is not set
# CONFIG_SOC_SERIES_SAM4S is not set
# CONFIG_SOC_SERIES_SAME70 is not set
# CONFIG_SOC_SERIES_SAMV71 is not set
# CONFIG_SOC_SERIES_VALKYRIE is not set
# CONFIG_SOC_SERIES_VIPER is not set
# CONFIG_SOC_SERIES_PSOC62 is not set
# CONFIG_SOC_SERIES_PSOC63 is not set
# CONFIG_SOC_SERIES_XMC_4XXX is not set
# CONFIG_SOC_SERIES_MEC1501X is not set
# CONFIG_SOC_SERIES_MEC1701X is not set
# CONFIG_SOC_SERIES_NRF51X is not set
# CONFIG_SOC_SERIES_NRF52X is not set
CONFIG_SOC_SERIES_NRF53X=y
# CONFIG_SOC_SERIES_NRF91X is not set
# CONFIG_SOC_SERIES_M48X is not set
# CONFIG_SOC_SERIES_NPCX7 is not set
# CONFIG_SOC_SERIES_IMX_6X_M4 is not set
# CONFIG_SOC_SERIES_IMX7_M4 is not set
# CONFIG_SOC_SERIES_IMX8MM_M4 is not set
# CONFIG_SOC_SERIES_IMX_RT6XX is not set
# CONFIG_SOC_SERIES_IMX_RT is not set
# CONFIG_SOC_SERIES_KINETIS_K2X is not set
# CONFIG_SOC_SERIES_KINETIS_K6X is not set
# CONFIG_SOC_SERIES_KINETIS_K8X is not set
# CONFIG_SOC_SERIES_KINETIS_KE1XF is not set
# CONFIG_SOC_SERIES_KINETIS_KL2X is not set
# CONFIG_SOC_SERIES_KINETIS_KV5X is not set
# CONFIG_SOC_SERIES_KINETIS_KWX is not set
# CONFIG_SOC_SERIES_LPC11U6X is not set
# CONFIG_SOC_SERIES_LPC54XXX is not set
# CONFIG_SOC_SERIES_LPC55XXX is not set
# CONFIG_SOC_QEMU_CORTEX_A53 is not set
# CONFIG_SOC_EOS_S3 is not set
# CONFIG_SOC_SERIES_EFM32GG11B is not set
# CONFIG_SOC_SERIES_EFM32HG is not set
# CONFIG_SOC_SERIES_EFM32JG12B is not set
# CONFIG_SOC_SERIES_EFM32PG12B is not set
# CONFIG_SOC_SERIES_EFM32PG1B is not set
# CONFIG_SOC_SERIES_EFM32WG is not set
# CONFIG_SOC_SERIES_EFR32BG13P is not set
# CONFIG_SOC_SERIES_EFR32FG1P is not set
# CONFIG_SOC_SERIES_EFR32MG12P is not set
# CONFIG_SOC_SERIES_EFR32MG21 is not set
# CONFIG_SOC_SERIES_STM32F0X is not set
# CONFIG_SOC_SERIES_STM32F1X is not set
# CONFIG_SOC_SERIES_STM32F2X is not set
# CONFIG_SOC_SERIES_STM32F3X is not set
# CONFIG_SOC_SERIES_STM32F4X is not set
# CONFIG_SOC_SERIES_STM32F7X is not set
# CONFIG_SOC_SERIES_STM32G0X is not set
# CONFIG_SOC_SERIES_STM32G4X is not set
# CONFIG_SOC_SERIES_STM32H7X is not set
# CONFIG_SOC_SERIES_STM32L0X is not set
# CONFIG_SOC_SERIES_STM32L1X is not set
# CONFIG_SOC_SERIES_STM32L4X is not set
# CONFIG_SOC_SERIES_STM32L5X is not set
# CONFIG_SOC_SERIES_STM32MP1X is not set
# CONFIG_SOC_SERIES_STM32WBX is not set
# CONFIG_SOC_TI_LM3S6965 is not set
# CONFIG_SOC_SERIES_CC13X2_CC26X2 is not set
# CONFIG_SOC_SERIES_CC32XX is not set
# CONFIG_SOC_SERIES_MSP432P4XX is not set
# CONFIG_SOC_XILINX_ZYNQMP_RPU is not set

#
# Hardware Configuration
#
CONFIG_CPU_HAS_ARM_MPU=y
CONFIG_CPU_HAS_NRF_IDAU=y
CONFIG_NRF_SPU_RAM_REGION_SIZE=0x2000
CONFIG_SOC_FAMILY="nordic_nrf"
CONFIG_SOC_FAMILY_NRF=y
CONFIG_HAS_HW_NRF_CC312=y
CONFIG_HAS_HW_NRF_CLOCK=y
CONFIG_HAS_HW_NRF_DPPIC=y
CONFIG_HAS_HW_NRF_EGU0=y
CONFIG_HAS_HW_NRF_EGU1=y
CONFIG_HAS_HW_NRF_EGU2=y
CONFIG_HAS_HW_NRF_EGU3=y
CONFIG_HAS_HW_NRF_EGU4=y
CONFIG_HAS_HW_NRF_EGU5=y
CONFIG_HAS_HW_NRF_GPIO0=y
CONFIG_HAS_HW_NRF_GPIO1=y
CONFIG_HAS_HW_NRF_GPIOTE=y
CONFIG_HAS_HW_NRF_I2S=y
CONFIG_HAS_HW_NRF_IPC=y
CONFIG_HAS_HW_NRF_NFCT=y
CONFIG_HAS_HW_NRF_NVMC_PE=y
CONFIG_HAS_HW_NRF_PDM=y
CONFIG_HAS_HW_NRF_POWER=y
CONFIG_HAS_HW_NRF_PWM0=y
CONFIG_HAS_HW_NRF_PWM1=y
CONFIG_HAS_HW_NRF_PWM2=y
CONFIG_HAS_HW_NRF_PWM3=y
CONFIG_HAS_HW_NRF_QSPI=y
CONFIG_HAS_HW_NRF_RTC0=y
CONFIG_HAS_HW_NRF_RTC1=y
CONFIG_HAS_HW_NRF_SAADC=y
CONFIG_HAS_HW_NRF_SPIM0=y
CONFIG_HAS_HW_NRF_SPIM1=y
CONFIG_HAS_HW_NRF_SPIM2=y
CONFIG_HAS_HW_NRF_SPIM3=y
CONFIG_HAS_HW_NRF_SPIM4=y
CONFIG_HAS_HW_NRF_SPIS0=y
CONFIG_HAS_HW_NRF_SPIS1=y
CONFIG_HAS_HW_NRF_SPIS2=y
CONFIG_HAS_HW_NRF_SPIS3=y
CONFIG_HAS_HW_NRF_SPU=y
CONFIG_HAS_HW_NRF_TIMER0=y
CONFIG_HAS_HW_NRF_TIMER1=y
CONFIG_HAS_HW_NRF_TIMER2=y
CONFIG_HAS_HW_NRF_TWIM0=y
CONFIG_HAS_HW_NRF_TWIM1=y
CONFIG_HAS_HW_NRF_TWIM2=y
CONFIG_HAS_HW_NRF_TWIM3=y
CONFIG_HAS_HW_NRF_TWIS0=y
CONFIG_HAS_HW_NRF_TWIS1=y
CONFIG_HAS_HW_NRF_TWIS2=y
CONFIG_HAS_HW_NRF_TWIS3=y
CONFIG_HAS_HW_NRF_UARTE0=y
CONFIG_HAS_HW_NRF_UARTE1=y
CONFIG_HAS_HW_NRF_UARTE2=y
CONFIG_HAS_HW_NRF_UARTE3=y
CONFIG_HAS_HW_NRF_USBD=y
CONFIG_HAS_HW_NRF_USBREG=y
CONFIG_HAS_HW_NRF_WDT0=y
CONFIG_HAS_HW_NRF_WDT1=y
CONFIG_NRF_HW_RTC1_RESERVED=y
# CONFIG_NFCT_PINS_AS_GPIOS is not set
CONFIG_SOC_NRF5340_CPUAPP=y
CONFIG_SOC_NRF5340_CPUAPP_QKAA=y
# CONFIG_SOC_NRF5340_CPUNET_QKAA is not set
CONFIG_SOC_DCDC_NRF53X_APP=y
CONFIG_SOC_DCDC_NRF53X_NET=y
CONFIG_SOC_DCDC_NRF53X_HV=y
CONFIG_SOC_ENABLE_LFXO=y
# CONFIG_SOC_LOG_LEVEL_OFF is not set
# CONFIG_SOC_LOG_LEVEL_ERR is not set
# CONFIG_SOC_LOG_LEVEL_WRN is not set
CONFIG_SOC_LOG_LEVEL_INF=y
# CONFIG_SOC_LOG_LEVEL_DBG is not set
CONFIG_SOC_LOG_LEVEL=3
# end of Hardware Configuration

CONFIG_SOC_COMPATIBLE_NRF=y

#
# ARM Options
#
CONFIG_ARCH="arm"
CONFIG_CPU_CORTEX=y
CONFIG_CPU_CORTEX_M=y
CONFIG_ISA_THUMB2=y
CONFIG_ASSEMBLER_ISA_THUMB2=y
CONFIG_COMPILER_ISA_THUMB2=y
CONFIG_STACK_ALIGN_DOUBLE_WORD=y
# CONFIG_RUNTIME_NMI is not set
CONFIG_PLATFORM_SPECIFIC_INIT=y
CONFIG_FAULT_DUMP=2
CONFIG_BUILTIN_STACK_GUARD=y
CONFIG_ARM_STACK_PROTECTION=y
CONFIG_ARM_NONSECURE_FIRMWARE=y
CONFIG_CPU_CORTEX_M33=y
CONFIG_CPU_CORTEX_M_HAS_SYSTICK=y
CONFIG_CPU_CORTEX_M_HAS_DWT=y
CONFIG_CPU_CORTEX_M_HAS_BASEPRI=y
CONFIG_CPU_CORTEX_M_HAS_VTOR=y
CONFIG_CPU_CORTEX_M_HAS_SPLIM=y
CONFIG_CPU_CORTEX_M_HAS_PROGRAMMABLE_FAULT_PRIOS=y
CONFIG_CPU_CORTEX_M_HAS_CMSE=y
CONFIG_ARMV7_M_ARMV8_M_MAINLINE=y
CONFIG_ARMV8_M_MAINLINE=y
CONFIG_ARMV8_M_SE=y
CONFIG_ARMV7_M_ARMV8_M_FP=y
CONFIG_ARMV8_M_DSP=y

#
# ARM Cortex-M0/M0+/M1/M3/M4/M7/M23/M33 options
#
CONFIG_GEN_ISR_TABLES=y
# CONFIG_ZERO_LATENCY_IRQS is not set
# CONFIG_SW_VECTOR_RELAY is not set
# CONFIG_CORTEX_M_DWT is not set
# end of ARM Cortex-M0/M0+/M1/M3/M4/M7/M23/M33 options

CONFIG_ARM_MPU=y
CONFIG_ARM_MPU_REGION_MIN_ALIGN_AND_SIZE=32
# CONFIG_MPU_STACK_GUARD is not set
CONFIG_MPU_ALLOW_FLASH_WRITE=y
# CONFIG_CUSTOM_SECTION_ALIGN is not set
CONFIG_CUSTOM_SECTION_MIN_ALIGN_SIZE=32
CONFIG_ARM_TRUSTZONE_M=y

#
# ARM TrustZone-M Options
#

#
# Non-secure firmware
#
CONFIG_ARM_FIRMWARE_USES_SECURE_ENTRY_FUNCS=y
# end of ARM TrustZone-M Options

CONFIG_GEN_IRQ_VECTOR_TABLE=y
CONFIG_IDLE_STACK_SIZE=320
CONFIG_ISR_STACK_SIZE=2048
CONFIG_TEST_EXTRA_STACKSIZE=0
# end of ARM Options

CONFIG_ARM=y
CONFIG_ARCH_IS_SET=y

#
# General Architecture Options
#
# CONFIG_ARCH_LOG_LEVEL_OFF is not set
# CONFIG_ARCH_LOG_LEVEL_ERR is not set
# CONFIG_ARCH_LOG_LEVEL_WRN is not set
CONFIG_ARCH_LOG_LEVEL_INF=y
# CONFIG_ARCH_LOG_LEVEL_DBG is not set
CONFIG_ARCH_LOG_LEVEL=3
# CONFIG_MPU_LOG_LEVEL_OFF is not set
# CONFIG_MPU_LOG_LEVEL_ERR is not set
# CONFIG_MPU_LOG_LEVEL_WRN is not set
CONFIG_MPU_LOG_LEVEL_INF=y
# CONFIG_MPU_LOG_LEVEL_DBG is not set
CONFIG_MPU_LOG_LEVEL=3
# CONFIG_TRUSTED_EXECUTION_SECURE is not set
CONFIG_TRUSTED_EXECUTION_NONSECURE=y
CONFIG_HW_STACK_PROTECTION=y
# CONFIG_USERSPACE is not set
CONFIG_KOBJECT_TEXT_AREA=256
CONFIG_GEN_PRIV_STACKS=y
# CONFIG_STACK_GROWS_UP is not set

#
# Interrupt Configuration
#
# CONFIG_DYNAMIC_INTERRUPTS is not set
CONFIG_GEN_SW_ISR_TABLE=y
CONFIG_ARCH_SW_ISR_TABLE_ALIGN=0
CONFIG_GEN_IRQ_START_VECTOR=0
# CONFIG_EXTRA_EXCEPTION_INFO is not set
# end of Interrupt Configuration

# CONFIG_INIT_ARCH_HW_AT_BOOT is not set
# end of General Architecture Options

CONFIG_ARCH_HAS_TIMING_FUNCTIONS=y
CONFIG_ARCH_HAS_TRUSTED_EXECUTION=y
CONFIG_ARCH_HAS_STACK_PROTECTION=y
CONFIG_ARCH_HAS_USERSPACE=y
CONFIG_ARCH_HAS_EXECUTABLE_PAGE_BIT=y
CONFIG_ARCH_HAS_RAMFUNC_SUPPORT=y
CONFIG_ARCH_HAS_NESTED_EXCEPTION_DETECTION=y
CONFIG_ARCH_SUPPORTS_COREDUMP=y
CONFIG_ARCH_SUPPORTS_ARCH_HW_INIT=y
CONFIG_ARCH_HAS_EXTRA_EXCEPTION_INFO=y
CONFIG_ARCH_HAS_THREAD_LOCAL_STORAGE=y
CONFIG_ARCH_HAS_THREAD_ABORT=y
CONFIG_CPU_HAS_TEE=y
CONFIG_CPU_HAS_FPU=y
CONFIG_CPU_HAS_MPU=y
CONFIG_MPU=y
CONFIG_MPU_REQUIRES_NON_OVERLAPPING_REGIONS=y
CONFIG_MPU_GAP_FILLING=y
CONFIG_SRAM_REGION_PERMISSIONS=y

#
# Floating Point Options
#
# end of Floating Point Options

#
# Cache Options
#
# CONFIG_CACHE_MANAGEMENT is not set
# end of Cache Options

#
# General Kernel Options
#
# CONFIG_KERNEL_LOG_LEVEL_OFF is not set
# CONFIG_KERNEL_LOG_LEVEL_ERR is not set
# CONFIG_KERNEL_LOG_LEVEL_WRN is not set
CONFIG_KERNEL_LOG_LEVEL_INF=y
# CONFIG_KERNEL_LOG_LEVEL_DBG is not set
CONFIG_KERNEL_LOG_LEVEL=3
CONFIG_MULTITHREADING=y
CONFIG_NUM_COOP_PRIORITIES=16
CONFIG_MAIN_THREAD_PRIORITY=0
CONFIG_COOP_ENABLED=y
CONFIG_PREEMPT_ENABLED=y
CONFIG_PRIORITY_CEILING=0
CONFIG_NUM_METAIRQ_PRIORITIES=0
# CONFIG_SCHED_DEADLINE is not set
# CONFIG_SCHED_CPU_MASK is not set
CONFIG_THREAD_STACK_INFO=y
# CONFIG_THREAD_CUSTOM_DATA is not set
CONFIG_ERRNO=y
CONFIG_SCHED_DUMB=y
# CONFIG_SCHED_SCALABLE is not set
# CONFIG_SCHED_MULTIQ is not set
# CONFIG_WAITQ_SCALABLE is not set
CONFIG_WAITQ_DUMB=y

#
# Kernel Debugging and Metrics
#
# CONFIG_INIT_STACKS is not set
CONFIG_BOOT_BANNER=y
CONFIG_BOOT_DELAY=0
# CONFIG_THREAD_MONITOR is not set
# CONFIG_THREAD_NAME is not set
# CONFIG_THREAD_RUNTIME_STATS is not set
# end of Kernel Debugging and Metrics

#
# Work Queue Options
#
CONFIG_SYSTEM_WORKQUEUE_PRIORITY=-1
# end of Work Queue Options

#
# Atomic Operations
#
CONFIG_ATOMIC_OPERATIONS_BUILTIN=y
# end of Atomic Operations

#
# Timer API Options
#
CONFIG_TIMESLICING=y
CONFIG_TIMESLICE_SIZE=0
CONFIG_TIMESLICE_PRIORITY=0
CONFIG_POLL=y
# end of Timer API Options

#
# Other Kernel Object Options
#
# CONFIG_MEM_SLAB_TRACE_MAX_UTILIZATION is not set
CONFIG_NUM_MBOX_ASYNC_MSGS=10
CONFIG_NUM_PIPE_ASYNC_MSGS=10
CONFIG_KERNEL_MEM_POOL=y
# end of Other Kernel Object Options

CONFIG_ARCH_HAS_CUSTOM_SWAP_TO_MAIN=y
CONFIG_SWAP_NONATOMIC=y
CONFIG_SYS_CLOCK_EXISTS=y
CONFIG_TIMEOUT_64BIT=y
CONFIG_XIP=y

#
# Initialization Priorities
#
CONFIG_KERNEL_INIT_PRIORITY_OBJECTS=30
CONFIG_KERNEL_INIT_PRIORITY_DEFAULT=40
CONFIG_KERNEL_INIT_PRIORITY_DEVICE=50
CONFIG_APPLICATION_INIT_PRIORITY=90
# end of Initialization Priorities

#
# Security Options
#
# CONFIG_STACK_CANARIES is not set
CONFIG_STACK_POINTER_RANDOM=0
# end of Security Options

#
# SMP Options
#
CONFIG_MP_NUM_CPUS=1
# end of SMP Options

CONFIG_TICKLESS_IDLE=y
CONFIG_TICKLESS_IDLE_THRESH=3
CONFIG_TICKLESS_KERNEL=y
# end of General Kernel Options

CONFIG_HAS_DTS=y
CONFIG_HAS_DTS_GPIO=y

#
# Device Drivers
#

#
# Bluetooth Drivers
#

#
# Bluetooth HCI Driver Options
#
# CONFIG_BT_H4 is not set
# CONFIG_BT_H5 is not set
CONFIG_BT_RPMSG=y
# CONFIG_BT_STM32_IPM is not set
# CONFIG_BT_NO_DRIVER is not set
CONFIG_BT_RPMSG_NRF53=y
# end of Bluetooth Drivers

# CONFIG_IEEE802154 is not set
# CONFIG_LORA is not set
CONFIG_UART_CONSOLE_ON_DEV_NAME="UART_0"
CONFIG_CONSOLE=y
CONFIG_CONSOLE_INPUT_MAX_LINE_LEN=128
CONFIG_CONSOLE_HAS_DRIVER=y
# CONFIG_CONSOLE_HANDLER is not set
CONFIG_UART_CONSOLE=y
CONFIG_UART_CONSOLE_INIT_PRIORITY=60
# CONFIG_UART_CONSOLE_DEBUG_SERVER_HOOKS is not set
# CONFIG_UART_CONSOLE_MCUMGR is not set
# CONFIG_USB_UART_CONSOLE is not set
# CONFIG_RAM_CONSOLE is not set
# CONFIG_RTT_CONSOLE is not set
# CONFIG_IPM_CONSOLE_SENDER is not set
# CONFIG_IPM_CONSOLE_RECEIVER is not set
# CONFIG_IPM_CONSOLE is not set
# CONFIG_UART_PIPE is not set
# CONFIG_UART_MCUMGR is not set
# CONFIG_SEMIHOST_CONSOLE is not set
# CONFIG_UART_CONSOLE_LOG_LEVEL_OFF is not set
# CONFIG_UART_CONSOLE_LOG_LEVEL_ERR is not set
# CONFIG_UART_CONSOLE_LOG_LEVEL_WRN is not set
CONFIG_UART_CONSOLE_LOG_LEVEL_INF=y
# CONFIG_UART_CONSOLE_LOG_LEVEL_DBG is not set
CONFIG_UART_CONSOLE_LOG_LEVEL=3
# CONFIG_GSM_MUX is not set
CONFIG_HAS_SEGGER_RTT=y
CONFIG_USE_SEGGER_RTT=y
CONFIG_SEGGER_RTT_MAX_NUM_UP_BUFFERS=3
CONFIG_SEGGER_RTT_MAX_NUM_DOWN_BUFFERS=3
CONFIG_SEGGER_RTT_BUFFER_SIZE_UP=1024
CONFIG_SEGGER_RTT_BUFFER_SIZE_DOWN=16
CONFIG_SEGGER_RTT_PRINTF_BUFFER_SIZE=64
CONFIG_SEGGER_RTT_MODE_NO_BLOCK_SKIP=y
# CONFIG_SEGGER_RTT_MODE_NO_BLOCK_TRIM is not set
# CONFIG_SEGGER_RTT_MODE_BLOCK_IF_FIFO_FULL is not set
CONFIG_SEGGER_RTT_MODE=0
# CONFIG_SEGGER_RTT_MEMCPY_USE_BYTELOOP is not set
CONFIG_SEGGER_RTT_SECTION_NONE=y
# CONFIG_SEGGER_RTT_SECTION_DTCM is not set
# CONFIG_EC_HOST_CMD_PERIPH is not set
# CONFIG_NET_LOOPBACK is not set

#
# Capabilities
#
CONFIG_SERIAL_HAS_DRIVER=y
CONFIG_SERIAL_SUPPORT_ASYNC=y
CONFIG_SERIAL_SUPPORT_INTERRUPT=y
CONFIG_UART_ASYNC_API=y
# CONFIG_UART_LINE_CTRL is not set
# CONFIG_UART_DRV_CMD is not set

#
# Serial Drivers
#
CONFIG_UART_NRFX=y
CONFIG_UART_0_NRF_UARTE=y
CONFIG_UART_0_ENHANCED_POLL_OUT=y
CONFIG_UART_0_ASYNC=y
# CONFIG_UART_0_NRF_PARITY_BIT is not set
CONFIG_UART_0_NRF_TX_BUFFER_SIZE=32
# CONFIG_UART_0_NRF_HW_ASYNC is not set
CONFIG_NRF_UARTE_PERIPHERAL=y
# CONFIG_UART_ALTERA_JTAG is not set
# CONFIG_UART_RTT is not set
# CONFIG_UART_XLNX_UARTLITE is not set

#
# Interrupt Controllers
#
# CONFIG_SWERV_PIC is not set
# CONFIG_MULTI_LEVEL_INTERRUPTS is not set
# end of Interrupt Controllers

#
# Timer Drivers
#
CONFIG_NRF_RTC_TIMER_USER_CHAN_COUNT=0
# CONFIG_SYSTEM_CLOCK_NO_WAIT is not set
# CONFIG_SYSTEM_CLOCK_WAIT_FOR_AVAILABILITY is not set
CONFIG_SYSTEM_CLOCK_WAIT_FOR_STABILITY=y
CONFIG_SYSTEM_CLOCK_DISABLE=y
# CONFIG_TIMER_READS_ITS_FREQUENCY_AT_RUNTIME is not set
# CONFIG_SYSTEM_CLOCK_SLOPPY_IDLE is not set
CONFIG_SYSTEM_CLOCK_INIT_PRIORITY=0
CONFIG_TICKLESS_CAPABLE=y
# end of Timer Drivers

# CONFIG_ENTROPY_GENERATOR is not set
# CONFIG_PCIE is not set
# CONFIG_PCIE_ENDPOINT is not set
# CONFIG_GPIO_LOG_LEVEL_OFF is not set
# CONFIG_GPIO_LOG_LEVEL_ERR is not set
# CONFIG_GPIO_LOG_LEVEL_WRN is not set
CONFIG_GPIO_LOG_LEVEL_INF=y
# CONFIG_GPIO_LOG_LEVEL_DBG is not set
CONFIG_GPIO_LOG_LEVEL=3
# CONFIG_GPIO_DW is not set
# CONFIG_GPIO_PCA95XX is not set
CONFIG_GPIO_NRFX=y
CONFIG_GPIO_NRF_INIT_PRIORITY=40
CONFIG_GPIO_NRF_P0=y
# CONFIG_GPIO_SX1509B is not set
# CONFIG_GPIO_ITE_IT8XXX2 is not set
# CONFIG_GPIO_INTEL_APL is not set
# CONFIG_GPIO_XLNX_AXI is not set
# CONFIG_GPIO_EMUL is not set
# CONFIG_GPIO_PCAL6408A is not set
# CONFIG_SHARED_IRQ is not set
# CONFIG_I2C_SLAVE is not set
# CONFIG_I2C_GPIO is not set
CONFIG_I2C_NRFX=y
CONFIG_I2C_1_NRF_TWIM=y
# CONFIG_I2C_EMUL is not set
# CONFIG_I2C_ITE_IT8XXX2 is not set
# CONFIG_I2C_SBCON is not set
# CONFIG_I2C_STM32 is not set
CONFIG_I2C_INIT_PRIORITY=60
# CONFIG_I2C_LOG_LEVEL_OFF is not set
# CONFIG_I2C_LOG_LEVEL_ERR is not set
# CONFIG_I2C_LOG_LEVEL_WRN is not set
CONFIG_I2C_LOG_LEVEL_INF=y
# CONFIG_I2C_LOG_LEVEL_DBG is not set
CONFIG_I2C_LOG_LEVEL=3
# CONFIG_I2S is not set
# CONFIG_PWM is not set
# CONFIG_PINMUX is not set
CONFIG_ADC=y
CONFIG_ADC_CONFIGURABLE_INPUTS=y
# CONFIG_ADC_ASYNC is not set
# CONFIG_ADC_LOG_LEVEL_OFF is not set
# CONFIG_ADC_LOG_LEVEL_ERR is not set
# CONFIG_ADC_LOG_LEVEL_WRN is not set
CONFIG_ADC_LOG_LEVEL_INF=y
# CONFIG_ADC_LOG_LEVEL_DBG is not set
CONFIG_ADC_LOG_LEVEL=3
CONFIG_ADC_NRFX_SAADC=y
# CONFIG_DAC is not set
# CONFIG_CLOCK_CONTROL_LOG_LEVEL_OFF is not set
# CONFIG_CLOCK_CONTROL_LOG_LEVEL_ERR is not set
# CONFIG_CLOCK_CONTROL_LOG_LEVEL_WRN is not set
CONFIG_CLOCK_CONTROL_LOG_LEVEL_INF=y
# CONFIG_CLOCK_CONTROL_LOG_LEVEL_DBG is not set
CONFIG_CLOCK_CONTROL_LOG_LEVEL=3
CONFIG_CLOCK_CONTROL_NRF=y
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_RC is not set
CONFIG_CLOCK_CONTROL_NRF_K32SRC_XTAL=y
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_SYNTH is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_500PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_250PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_150PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_100PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_75PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_50PPM is not set
# CONFIG_CLOCK_CONTROL_NRF_K32SRC_30PPM is not set
CONFIG_CLOCK_CONTROL_NRF_K32SRC_20PPM=y
CONFIG_CLOCK_CONTROL_NRF_ACCURACY=20
# CONFIG_PTP_CLOCK is not set
CONFIG_IPM=y
# CONFIG_IPM_MHU is not set
# CONFIG_IPM_NRF_SINGLE_INSTANCE is not set

#
# IPM Message Channel [0] configuration
#
# end of IPM Message Channel [0] configuration

#
# IPM Message Channel [1] configuration
#
# end of IPM Message Channel [1] configuration

#
# IPM Message Channel [2] configuration
#
# CONFIG_IPM_MSG_CH_2_ENABLE is not set
# end of IPM Message Channel [2] configuration

#
# IPM Message Channel [3] configuration
#
# CONFIG_IPM_MSG_CH_3_ENABLE is not set
# end of IPM Message Channel [3] configuration

#
# IPM Message Channel [4] configuration
#
# CONFIG_IPM_MSG_CH_4_ENABLE is not set
# end of IPM Message Channel [4] configuration

#
# IPM Message Channel [5] configuration
#
# CONFIG_IPM_MSG_CH_5_ENABLE is not set
# end of IPM Message Channel [5] configuration

#
# IPM Message Channel [6] configuration
#
# CONFIG_IPM_MSG_CH_6_ENABLE is not set
# end of IPM Message Channel [6] configuration

#
# IPM Message Channel [7] configuration
#
# CONFIG_IPM_MSG_CH_7_ENABLE is not set
# end of IPM Message Channel [7] configuration

#
# IPM Message Channel [8] configuration
#
# CONFIG_IPM_MSG_CH_8_ENABLE is not set
# end of IPM Message Channel [8] configuration

#
# IPM Message Channel [9] configuration
#
# CONFIG_IPM_MSG_CH_9_ENABLE is not set
# end of IPM Message Channel [9] configuration

#
# IPM Message Channel [10] configuration
#
# CONFIG_IPM_MSG_CH_10_ENABLE is not set
# end of IPM Message Channel [10] configuration

#
# IPM Message Channel [11] configuration
#
# CONFIG_IPM_MSG_CH_11_ENABLE is not set
# end of IPM Message Channel [11] configuration

#
# IPM Message Channel [12] configuration
#
# CONFIG_IPM_MSG_CH_12_ENABLE is not set
# end of IPM Message Channel [12] configuration

#
# IPM Message Channel [13] configuration
#
# CONFIG_IPM_MSG_CH_13_ENABLE is not set
# end of IPM Message Channel [13] configuration

#
# IPM Message Channel [14] configuration
#
# CONFIG_IPM_MSG_CH_14_ENABLE is not set
# end of IPM Message Channel [14] configuration

#
# IPM Message Channel [15] configuration
#
# CONFIG_IPM_MSG_CH_15_ENABLE is not set
# end of IPM Message Channel [15] configuration

# CONFIG_IPM_INTEL_ADSP is not set
# CONFIG_IPM_LOG_LEVEL_OFF is not set
# CONFIG_IPM_LOG_LEVEL_ERR is not set
# CONFIG_IPM_LOG_LEVEL_WRN is not set
CONFIG_IPM_LOG_LEVEL_INF=y
# CONFIG_IPM_LOG_LEVEL_DBG is not set
CONFIG_IPM_LOG_LEVEL=3
CONFIG_FLASH_HAS_DRIVER_ENABLED=y
CONFIG_FLASH_HAS_PAGE_LAYOUT=y
CONFIG_FLASH=y
# CONFIG_FLASH_LOG_LEVEL_OFF is not set
# CONFIG_FLASH_LOG_LEVEL_ERR is not set
# CONFIG_FLASH_LOG_LEVEL_WRN is not set
CONFIG_FLASH_LOG_LEVEL_INF=y
# CONFIG_FLASH_LOG_LEVEL_DBG is not set
CONFIG_FLASH_LOG_LEVEL=3
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_SOC_FLASH_NRF=y
CONFIG_SOC_FLASH_NRF_RADIO_SYNC_NONE=y
# CONFIG_SOC_FLASH_NRF_PARTIAL_ERASE is not set
# CONFIG_SOC_FLASH_NRF_EMULATE_ONE_BYTE_WRITE_ACCESS is not set
# CONFIG_FLASH_SIMULATOR is not set
# CONFIG_NORDIC_QSPI_NOR is not set
# CONFIG_COUNTER is not set
# CONFIG_DMA is not set
# CONFIG_USB is not set
# CONFIG_CRYPTO is not set
# CONFIG_DISPLAY is not set
# CONFIG_LED_STRIP is not set
# CONFIG_LED is not set
# CONFIG_CAN is not set
# CONFIG_AUDIO is not set
# CONFIG_NEURAL_NET_ACCEL is not set
# CONFIG_HWINFO is not set
# CONFIG_ESPI is not set
# CONFIG_PS2 is not set
# CONFIG_VIDEO is not set
# CONFIG_EEPROM is not set
# CONFIG_PECI is not set
# CONFIG_PECI_INTERRUPT_DRIVEN is not set
# CONFIG_REGULATOR is not set
# CONFIG_MEMC is not set
# CONFIG_VIRTUALIZATION is not set
# end of Device Drivers

#
# C Library
#
CONFIG_MINIMAL_LIBC=y
# CONFIG_NEWLIB_LIBC is not set
# CONFIG_EXTERNAL_LIBC is not set
CONFIG_HAS_NEWLIB_LIBC_NANO=y
CONFIG_MINIMAL_LIBC_MALLOC=y
CONFIG_MINIMAL_LIBC_MALLOC_ARENA_SIZE=0
CONFIG_MINIMAL_LIBC_CALLOC=y
CONFIG_MINIMAL_LIBC_REALLOCARRAY=y
# CONFIG_MINIMAL_LIBC_LL_PRINTF is not set
CONFIG_STDOUT_CONSOLE=y
# end of C Library

#
# Additional libraries
#
# CONFIG_FNMATCH is not set
# CONFIG_LVGL is not set

#
# OS Support Library
#
# CONFIG_JSON_LIBRARY is not set
# CONFIG_RING_BUFFER is not set
# CONFIG_BASE64 is not set
# CONFIG_SYS_HEAP_VALIDATE is not set
CONFIG_SYS_HEAP_ALLOC_LOOPS=3
# CONFIG_PRINTK64 is not set
# CONFIG_PRINTK_SYNC is not set
CONFIG_CBPRINTF_COMPLETE=y
# CONFIG_CBPRINTF_NANO is not set
CONFIG_CBPRINTF_FULL_INTEGRAL=y
# CONFIG_CBPRINTF_REDUCED_INTEGRAL is not set
# CONFIG_CBPRINTF_FP_SUPPORT is not set
# CONFIG_CBPRINTF_FP_A_SUPPORT is not set
# CONFIG_CBPRINTF_FP_ALWAYS_A is not set
CONFIG_CBPRINTF_N_SPECIFIER=y
# CONFIG_CBPRINTF_LIBC_SUBSTS is not set
# end of OS Support Library

CONFIG_POSIX_MAX_FDS=4
# CONFIG_POSIX_API is not set
# CONFIG_PTHREAD_IPC is not set
# CONFIG_POSIX_CLOCK is not set
CONFIG_MAX_TIMER_COUNT=5
# CONFIG_POSIX_MQUEUE is not set
# CONFIG_EVENTFD is not set
# CONFIG_OPENAMP_RSC_TABLE is not set
# end of Additional libraries

#
# Sub Systems and OS Services
#
CONFIG_BT=y
# CONFIG_BT_LOG_LEVEL_OFF is not set
# CONFIG_BT_LOG_LEVEL_ERR is not set
# CONFIG_BT_LOG_LEVEL_WRN is not set
CONFIG_BT_LOG_LEVEL_INF=y
# CONFIG_BT_LOG_LEVEL_DBG is not set
CONFIG_BT_LOG_LEVEL=3
CONFIG_BT_HCI=y
# CONFIG_BT_CUSTOM is not set
# CONFIG_BT_HCI_RAW is not set
# CONFIG_BT_HCI_RAW_H4 is not set
# CONFIG_BT_HCI_RAW_CMD_EXT is not set
CONFIG_BT_PERIPHERAL=y
# CONFIG_BT_CENTRAL is not set
CONFIG_BT_BROADCASTER=y
# CONFIG_BT_EXT_ADV is not set

#
# Observer
#
# CONFIG_BT_OBSERVER is not set
# end of Observer

#
# GATT Services
#
# CONFIG_BT_DIS is not set
# CONFIG_BT_BAS is not set
# CONFIG_BT_HRS is not set
# CONFIG_BT_TPS is not set
# CONFIG_BT_OTS is not set
# end of GATT Services

CONFIG_BT_CONN=y
# CONFIG_BT_REMOTE_VERSION is not set
CONFIG_BT_PHY_UPDATE=y
CONFIG_BT_DATA_LEN_UPDATE=y
CONFIG_BT_HCI_VS=y
# CONFIG_BT_HCI_VS_EXT_DETECT is not set
# CONFIG_BT_WAIT_NOP is not set
CONFIG_BT_RPA=y
CONFIG_BT_ASSERT=y
CONFIG_BT_ASSERT_VERBOSE=y
# CONFIG_BT_ASSERT_PANIC is not set
CONFIG_BT_DEBUG_NONE=y
# CONFIG_BT_DEBUG_LOG is not set
# CONFIG_BT_DEBUG_MONITOR is not set

#
# Host Stack Configuration
#
CONFIG_BT_HCI_HOST=y
CONFIG_BT_HCI_CMD_COUNT=2
CONFIG_BT_RX_BUF_COUNT=10
CONFIG_BT_RX_BUF_LEN=76
CONFIG_BT_DISCARDABLE_BUF_COUNT=3
CONFIG_BT_DISCARDABLE_BUF_SIZE=45
# CONFIG_BT_HCI_TX_STACK_SIZE_WITH_PROMPT is not set
CONFIG_BT_HCI_ECC_STACK_SIZE=1100
CONFIG_BT_HCI_TX_PRIO=7
CONFIG_BT_HCI_RESERVE=1
CONFIG_BT_RX_PRIO=8
CONFIG_BT_DRIVER_RX_HIGH_PRIO=6
# CONFIG_BT_AUDIO is not set
CONFIG_BT_HOST_CRYPTO=y
CONFIG_BT_SETTINGS=y
CONFIG_BT_SETTINGS_CCC_LAZY_LOADING=y
# CONFIG_BT_SETTINGS_CCC_STORE_ON_WRITE is not set
CONFIG_BT_SETTINGS_USE_PRINTK=y
# CONFIG_BT_WHITELIST is not set
CONFIG_BT_ACL_RX_COUNT=6
CONFIG_BT_CONN_TX_MAX=3
# CONFIG_BT_USER_PHY_UPDATE is not set
CONFIG_BT_AUTO_PHY_UPDATE=y
# CONFIG_BT_USER_DATA_LEN_UPDATE is not set
CONFIG_BT_AUTO_DATA_LEN_UPDATE=y
# CONFIG_BT_REMOTE_INFO is not set
CONFIG_BT_SMP=y
# CONFIG_BT_PRIVACY is not set
# CONFIG_BT_SIGNING is not set
# CONFIG_BT_SMP_APP_PAIRING_ACCEPT is not set
# CONFIG_BT_SMP_SC_PAIR_ONLY is not set
# CONFIG_BT_SMP_SC_ONLY is not set
# CONFIG_BT_SMP_OOB_LEGACY_PAIR_ONLY is not set
# CONFIG_BT_SMP_DISABLE_LEGACY_JW_PASSKEY is not set
# CONFIG_BT_SMP_ALLOW_UNAUTH_OVERWRITE is not set
# CONFIG_BT_FIXED_PASSKEY is not set
CONFIG_BT_BONDABLE=y
# CONFIG_BT_BONDING_REQUIRED is not set
# CONFIG_BT_STORE_DEBUG_KEYS is not set
CONFIG_BT_SMP_ENFORCE_MITM=y
# CONFIG_BT_KEYS_OVERWRITE_OLDEST is not set

#
# L2CAP Options
#
CONFIG_BT_L2CAP_RX_MTU=65
CONFIG_BT_L2CAP_TX_BUF_COUNT=3
CONFIG_BT_L2CAP_TX_FRAG_COUNT=2
CONFIG_BT_L2CAP_TX_MTU=65
# CONFIG_BT_L2CAP_DYNAMIC_CHANNEL is not set
# end of L2CAP Options

#
# ATT and GATT Options
#
CONFIG_BT_ATT_ENFORCE_FLOW=y
CONFIG_BT_ATT_PREPARE_COUNT=0
CONFIG_BT_ATT_TX_MAX=3
CONFIG_BT_GATT_SERVICE_CHANGED=y
# CONFIG_BT_GATT_DYNAMIC_DB is not set
CONFIG_BT_GATT_CACHING=y
# CONFIG_BT_GATT_NOTIFY_MULTIPLE is not set
# CONFIG_BT_GATT_ENFORCE_CHANGE_UNAWARE is not set
# CONFIG_BT_GATT_CLIENT is not set
CONFIG_BT_GATT_READ_MULTIPLE=y
CONFIG_BT_GAP_AUTO_UPDATE_CONN_PARAMS=y
CONFIG_BT_GAP_PERIPHERAL_PREF_PARAMS=y
CONFIG_BT_PERIPHERAL_PREF_MIN_INT=24
CONFIG_BT_PERIPHERAL_PREF_MAX_INT=40
CONFIG_BT_PERIPHERAL_PREF_SLAVE_LATENCY=0
CONFIG_BT_PERIPHERAL_PREF_TIMEOUT=42
# end of ATT and GATT Options

CONFIG_BT_MAX_PAIRED=1
CONFIG_BT_CREATE_CONN_TIMEOUT=3
CONFIG_BT_CONN_PARAM_UPDATE_TIMEOUT=5000
# CONFIG_BT_DEVICE_NAME_DYNAMIC is not set
CONFIG_BT_DEVICE_NAME="Nordic_UART_Service"
CONFIG_BT_DEVICE_APPEARANCE=833
CONFIG_BT_ID_MAX=1
# CONFIG_BT_DF is not set
# CONFIG_BT_TINYCRYPT_ECC is not set
# CONFIG_BT_HOST_CCM is not set
# CONFIG_BT_TESTING is not set
# CONFIG_BT_BREDR is not set
# CONFIG_BT_HCI_VS_EVT_USER is not set

#
# BLE Controller support
#
# CONFIG_BT_SHELL is not set
CONFIG_BT_COMPANY_ID=0x05F1

#
# Controller Area Network (CAN) bus subsystem
#
# CONFIG_ISOTP is not set
# end of Controller Area Network (CAN) bus subsystem

# CONFIG_CONSOLE_SUBSYS is not set
# CONFIG_CPLUSPLUS is not set

#
# System Monitoring Options
#
# CONFIG_BOOT_TIME_MEASUREMENT is not set
# CONFIG_THREAD_ANALYZER is not set
# end of System Monitoring Options

#
# Debugging Options
#
# CONFIG_DEBUG is not set
# CONFIG_STACK_USAGE is not set
# CONFIG_STACK_SENTINEL is not set
CONFIG_PRINTK=y
CONFIG_EARLY_CONSOLE=y
CONFIG_ASSERT=y
CONFIG_ASSERT_LEVEL=2
CONFIG_SPIN_VALIDATE=y
# CONFIG_FORCE_NO_ASSERT is not set
CONFIG_ASSERT_VERBOSE=y
# CONFIG_ASSERT_NO_FILE_INFO is not set
# CONFIG_ASSERT_NO_COND_INFO is not set
# CONFIG_ASSERT_NO_MSG_INFO is not set
# CONFIG_OBJECT_TRACING is not set
# CONFIG_OVERRIDE_FRAME_POINTER_DEFAULT is not set
# CONFIG_DEBUG_INFO is not set
# CONFIG_OPENOCD_SUPPORT is not set
# CONFIG_DEBUG_COREDUMP is not set
# end of Debugging Options

# CONFIG_DISK_ACCESS is not set
# CONFIG_EMUL is not set
# CONFIG_CHARACTER_FRAMEBUFFER is not set

#
# File Systems
#
# CONFIG_FILE_SYSTEM is not set
# CONFIG_FCB is not set
CONFIG_NVS=y
# CONFIG_NVS_LOG_LEVEL_OFF is not set
# CONFIG_NVS_LOG_LEVEL_ERR is not set
# CONFIG_NVS_LOG_LEVEL_WRN is not set
CONFIG_NVS_LOG_LEVEL_INF=y
# CONFIG_NVS_LOG_LEVEL_DBG is not set
CONFIG_NVS_LOG_LEVEL=3
# end of File Systems

#
# Inter Processor Communication
#
CONFIG_RPMSG_SERVICE=y
CONFIG_RPMSG_SERVICE_SHM_BASE_ADDRESS=0x20070000
CONFIG_RPMSG_SERVICE_SHM_SIZE=0x10000
CONFIG_RPMSG_SERVICE_MODE_MASTER=y
# CONFIG_RPMSG_SERVICE_MODE_REMOTE is not set
CONFIG_RPMSG_SERVICE_NUM_ENDPOINTS=2
CONFIG_RPMSG_SERVICE_WORK_QUEUE_STACK_SIZE=2048
CONFIG_RPMSG_SERVICE_INIT_PRIORITY=48
CONFIG_RPMSG_SERVICE_EP_REG_PRIORITY=47
# end of Inter Processor Communication

# CONFIG_JWT is not set
CONFIG_LOG=y
# CONFIG_LOG_MINIMAL is not set
# CONFIG_LOG_RUNTIME_FILTERING is not set
CONFIG_LOG_OVERRIDE_LEVEL=0
CONFIG_LOG_MAX_LEVEL=4
# CONFIG_LOG_MIPI_SYST_ENABLE is not set

#
# Prepend non-hexdump log message with function name
#
# CONFIG_LOG_FUNC_NAME_PREFIX_ERR is not set
# CONFIG_LOG_FUNC_NAME_PREFIX_WRN is not set
# CONFIG_LOG_FUNC_NAME_PREFIX_INF is not set
CONFIG_LOG_FUNC_NAME_PREFIX_DBG=y
# end of Prepend non-hexdump log message with function name

# CONFIG_LOG_PRINTK is not set
# CONFIG_LOG_IMMEDIATE is not set
# CONFIG_LOG_ENABLE_FANCY_OUTPUT_FORMATTING is not set
CONFIG_LOG_MODE_OVERFLOW=y
# CONFIG_LOG_MODE_NO_OVERFLOW is not set
# CONFIG_LOG_BLOCK_IN_THREAD is not set
CONFIG_LOG_PROCESS_TRIGGER_THRESHOLD=10
CONFIG_LOG_PROCESS_THREAD=y
CONFIG_LOG_PROCESS_THREAD_SLEEP_MS=1000
CONFIG_LOG_PROCESS_THREAD_STACK_SIZE=768
CONFIG_LOG_BUFFER_SIZE=1024
CONFIG_LOG_DETECT_MISSED_STRDUP=y
CONFIG_LOG_STRDUP_MAX_STRING=32
CONFIG_LOG_STRDUP_BUF_COUNT=4
# CONFIG_LOG_STRDUP_POOL_PROFILING is not set
CONFIG_LOG_DOMAIN_ID=0
# CONFIG_LOG_FRONTEND is not set
# CONFIG_LOG_BACKEND_UART is not set
CONFIG_LOG_BACKEND_RTT=y
# CONFIG_LOG_BACKEND_RTT_MODE_DROP is not set
CONFIG_LOG_BACKEND_RTT_MODE_BLOCK=y
CONFIG_LOG_BACKEND_RTT_OUTPUT_BUFFER_SIZE=16
CONFIG_LOG_BACKEND_RTT_RETRY_CNT=4
CONFIG_LOG_BACKEND_RTT_RETRY_DELAY_MS=5
CONFIG_LOG_BACKEND_RTT_BUFFER=0
CONFIG_LOG_BACKEND_SHOW_COLOR=y
CONFIG_LOG_BACKEND_FORMAT_TIMESTAMP=y

#
# Device Management
#

#
# Host command handler subsystem
#
# CONFIG_EC_HOST_CMD is not set
# end of Host command handler subsystem

# CONFIG_MCUMGR is not set
# CONFIG_HAWKBIT is not set
# CONFIG_UPDATEHUB is not set
# CONFIG_OSDP is not set
# end of Device Management

#
# Networking
#
CONFIG_NET_BUF=y
CONFIG_NET_BUF_USER_DATA_SIZE=4
# CONFIG_NET_BUF_LOG is not set
# CONFIG_NET_BUF_LOG_LEVEL_OFF is not set
# CONFIG_NET_BUF_LOG_LEVEL_ERR is not set
# CONFIG_NET_BUF_LOG_LEVEL_WRN is not set
CONFIG_NET_BUF_LOG_LEVEL_INF=y
# CONFIG_NET_BUF_LOG_LEVEL_DBG is not set
CONFIG_NET_BUF_LOG_LEVEL=3
# CONFIG_NET_BUF_POOL_USAGE is not set
# CONFIG_NETWORKING is not set
# end of Networking

#
# Power Management
#
# CONFIG_SYS_POWER_MANAGEMENT is not set
# CONFIG_PM_STATE_LOCK is not set
# CONFIG_PM_DIRECT_FORCE_MODE is not set
# CONFIG_PM_DEBUG is not set
CONFIG_PM_POLICY_RESIDENCY=y
# CONFIG_PM_POLICY_DUMMY is not set
# CONFIG_PM_POLICY_APP is not set
CONFIG_PM_POLICY_RESIDENCY_DEFAULT=y
CONFIG_PM_MIN_RESIDENCY_DEEP_SLEEP_1=60000
# CONFIG_PM_LOG_LEVEL_OFF is not set
# CONFIG_PM_LOG_LEVEL_ERR is not set
# CONFIG_PM_LOG_LEVEL_WRN is not set
CONFIG_PM_LOG_LEVEL_INF=y
# CONFIG_PM_LOG_LEVEL_DBG is not set
CONFIG_PM_LOG_LEVEL=3
# CONFIG_DEVICE_POWER_MANAGEMENT is not set
# end of Power Management

# CONFIG_SHELL is not set
# CONFIG_STATS is not set
# CONFIG_IMG_MANAGER is not set

#
# Random Number Generators
#
CONFIG_TEST_RANDOM_GENERATOR=y
CONFIG_TIMER_RANDOM_GENERATOR=y
# end of Random Number Generators

#
# Storage
#
CONFIG_FLASH_MAP=y
# CONFIG_FLASH_MAP_CUSTOM is not set
# CONFIG_FLASH_AREA_CHECK_INTEGRITY is not set
# CONFIG_STREAM_FLASH is not set
# end of Storage

CONFIG_SETTINGS=y
# CONFIG_SETTINGS_LOG_LEVEL_OFF is not set
# CONFIG_SETTINGS_LOG_LEVEL_ERR is not set
# CONFIG_SETTINGS_LOG_LEVEL_WRN is not set
CONFIG_SETTINGS_LOG_LEVEL_INF=y
# CONFIG_SETTINGS_LOG_LEVEL_DBG is not set
CONFIG_SETTINGS_LOG_LEVEL=3
# CONFIG_SETTINGS_RUNTIME is not set
CONFIG_SETTINGS_DYNAMIC_HANDLERS=y
CONFIG_SETTINGS_NVS=y
# CONFIG_SETTINGS_CUSTOM is not set
# CONFIG_SETTINGS_NONE is not set
CONFIG_SETTINGS_NVS_SECTOR_SIZE_MULT=1
CONFIG_SETTINGS_NVS_SECTOR_COUNT=8

#
# Testing
#
# CONFIG_ZTEST is not set
# CONFIG_ZTEST_MOCKING is not set
# CONFIG_TEST is not set
# CONFIG_TEST_USERSPACE is not set
CONFIG_TEST_ARM_CORTEX_M=y
# end of Testing

# CONFIG_TIMING_FUNCTIONS is not set
# CONFIG_TRACING is not set
# end of Sub Systems and OS Services

CONFIG_TOOLCHAIN_GNUARMEMB=y

#
# Build and Link Features
#

#
# Linker Options
#
# CONFIG_LINKER_ORPHAN_SECTION_PLACE is not set
CONFIG_LINKER_ORPHAN_SECTION_WARN=y
# CONFIG_LINKER_ORPHAN_SECTION_ERROR is not set
# CONFIG_CODE_DATA_RELOCATION is not set
CONFIG_HAS_FLASH_LOAD_OFFSET=y
# CONFIG_USE_DT_CODE_PARTITION is not set
# CONFIG_HAVE_CUSTOM_LINKER_SCRIPT is not set
CONFIG_KERNEL_ENTRY="__start"
CONFIG_LINKER_SORT_BY_ALIGNMENT=y
# end of Linker Options

#
# Compiler Options
#
# CONFIG_CODING_GUIDELINE_CHECK is not set
# CONFIG_NATIVE_APPLICATION is not set
CONFIG_SIZE_OPTIMIZATIONS=y
# CONFIG_SPEED_OPTIMIZATIONS is not set
# CONFIG_DEBUG_OPTIMIZATIONS is not set
# CONFIG_NO_OPTIMIZATIONS is not set
CONFIG_COMPILER_OPT=""
# end of Compiler Options

# CONFIG_ASSERT_ON_ERRORS is not set
# CONFIG_NO_RUNTIME_CHECKS is not set
CONFIG_RUNTIME_ERROR_CHECKS=y

#
# Build Options
#
CONFIG_KERNEL_BIN_NAME="zephyr"
CONFIG_OUTPUT_STAT=y
CONFIG_OUTPUT_DISASSEMBLY=y
# CONFIG_OUTPUT_DISASSEMBLE_ALL is not set
CONFIG_OUTPUT_PRINT_MEMORY_USAGE=y
# CONFIG_CLEANUP_INTERMEDIATE_FILES is not set
# CONFIG_BUILD_NO_GAP_FILL is not set
CONFIG_BUILD_OUTPUT_BIN=y
# CONFIG_BUILD_OUTPUT_EXE is not set
# CONFIG_BUILD_OUTPUT_S19 is not set
# CONFIG_BUILD_OUTPUT_STRIPPED is not set
# CONFIG_APPLICATION_DEFINED_SYSCALL is not set
# CONFIG_MAKEFILE_EXPORTS is not set
# CONFIG_DEPRECATED_ZEPHYR_INT_TYPES is not set
# end of Build Options
# end of Build and Link Features

#
# Boot Options
#
# CONFIG_IS_BOOTLOADER is not set
# CONFIG_BOOTLOADER_MCUBOOT is not set
CONFIG_REBOOT=y
# CONFIG_MISRA_SANE is not set
# end of Boot Options

#
# Compatibility
#
CONFIG_COMPAT_INCLUDES=y
# end of Compatibility

#
# Nordic UART BLE GATT service sample
#
CONFIG_BT_NUS_THREAD_STACK_SIZE=1024
CONFIG_BT_NUS_UART_BUFFER_SIZE=20
CONFIG_BT_NUS_SECURITY_ENABLED=y
CONFIG_BT_NUS_UART_RX_WAIT_TIME=50
# end of Nordic UART BLE GATT service sample
