
#include <zephyr/types.h>
#include <zephyr.h>
#include <drivers/gpio.h>
#include "homesmart.h"
#include <stdio.h>
#include <string.h>
#include <strings.h>
static struct gpio_callback keypad_cb_data;
extern const struct device *gpio1;
extern struct k_timer msclock;
extern bool keypadactive;
static uint8_t keychars[13];
extern struct k_timer msclock;
extern int millitime;
extern struct msgs *fstMsg, *lstMsg;
uint8_t diagMsg[100];
void keypadsetup()
{uint32_t ret;
        ret=gpio_remove_callback(gpio1, &keypad_cb_data);                       // disable the keypad callback
        gpio_pin_set(gpio1,COL1,0);                                             // set thecolumn GPIO ports low
        gpio_pin_set(gpio1,COL2,0);
        gpio_pin_set(gpio1,COL3,0);
        millitime=0;                                                            // reset the millisecond timer   
        k_timer_start(&msclock, K_MSEC(1), K_MSEC(1));                          // and start it up
        return;
 }

 bool setup_keyscan()
{    uint32_t ret;

        ret =  gpio_pin_set(gpio1, COL1, 1);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to set COL1\n");
		queMsg(diagMsg);
           	return false;
	}
        ret =  gpio_pin_set(gpio1, COL2, 1);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to set COL2\n");
		queMsg(diagMsg);
           	return false;
        }
        ret =  gpio_pin_set(gpio1, COL3, 1);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to set COL3\n");
		queMsg(diagMsg);
           	return false;
        }
        keypadactive = false;
             ret=gpio_add_callback(gpio1, &keypad_cb_data);
     	if (ret != 0) {
		sprintf(diagMsg,"Error %d: failed to configure callback on KEYPAD pins\n",
			ret);
		queMsg(diagMsg);
		return false;
	}
       return true;

}
uint8_t* keypad_scan_once()
{       uint_least8_t COLS[3] = { COL1, COL2, COL3 };
	uint_least8_t ROWS[4] = { ROW1, ROW2, ROW3, ROW4 };
	static uint8_t keyState[13];                                              //  this array will contain the state of the keypad after a single scan
	uint32_t i, j, res;

	memset(keyState, '0', sizeof(keyState));                                  // clear the keypad state array

	for (i = 0; i < 3; i++)                                                   // for each column
	{
		gpio_pin_set(gpio1, COLS[i], 1);                                  // bring up the voltage on that column onky
                if(i==0)
                  j=2;
                if(i==1)
                   j=0;
                if(i==2)
                   j=1;
                gpio_pin_set(gpio1, COLS[j], 0);
		for (j = 0; j < 4; j++)                                           // for each row
		{
	         res = gpio_pin_get(gpio1,ROWS[j]);                               // read the gpio port
		 if (res > 0)                                                     // if it's high
			keyState[i * 4 + j] = '1';                                // that column/row combination is pressed
		}
	
	}
	return (keyState);                                                        // when we're done we return the keypad state to the calling routine
}
char* keypadgetchar()
{
	uint8_t prevState[13], keysPressed[13], keyChars[] = { '1', '4', '7', '*',
			'2', '5', '8', '0', '3', '6', '9', '#' };

	static uint8_t scanResult[14], *ptr;
	uint8_t *keyState;
	uint32_t i, elapsed;
	uint32_t keyStart[12];                  		                 // keyStart is the time from msTimer
										 //   when the scan first saw the key pressed
	bool keepscanning;
	memset(scanResult, 0, sizeof(scanResult));                               // clear the scan result
	keyState=keypad_scan_once();                                             // do one scan of the keypad
	memset(prevState, '0', sizeof(prevState)); 		                 // clear the previous keypad state to zeroes
	memset(keysPressed, '0', sizeof(keysPressed));	                         // clear the results to zeroes
	memset(keyStart, 0, sizeof(keyStart));                                   // clear the timer array

	while (1)								 // now loop until there are no keys depressed
	{
		keepscanning = false;						 // assume there are no keys pressed
		for (i = 0; i < 12; i++)					 // compare the current key states to the previous key states
		{
			if (keyState[i] == '1')                                  // if there is a key pressed
				keepscanning = true;				 //       set to keep scanning
			if (keyState[i] != prevState[i]) 		         // see if there has been a state change on this key
			{
				if (keyState[i] == '1')         	         //     if this is a new keypress
					keyStart[i] = millitime;      	         //           save the start time
				else
				{
					
                                        elapsed = millitime-keyStart[i];         // otherwise see how long the key was depressed
					if (elapsed > 50) 			 //   if the keypress lasted more than 50ms
						keysPressed[i] = '1'; 		 //      record as a true keypress.
					keyStart[i] = 0;        		 // in any case, clear the start time
				}
			}
		}

		if (keepscanning == false) 					 //  if there wasn't any key pressed during his cycle
			break;							 //       we're done

		memcpy(prevState, keyState, sizeof(prevState));		         // otherwise, save the key state

		keyState = keypad_scan_once();                                   // and go scan again
	}

	memset(scanResult, 0, sizeof(scanResult)); 				 //.now translate the keys pressed array into a string
	ptr = scanResult;

	for (i = 0; i < 12; i++)
	{
		if (keysPressed[i] == '1')
			*ptr++ = keyChars[i];
	}
    

	return (scanResult);                          			          // and return it to the caller
}
/*  keypad ISR routine                                                         */
void key_pressed(const struct device *dev, struct gpio_callback *cb,
		    uint32_t pins)
{       
 
        keypadactive=true;
       
}
void getkeypadinput()
{static uint8_t keypadinput[20],keychars[14];
 uint32_t i,j;
 keypadsetup();                                                                    // go setup the keypad scanner
 memset(keypadinput,0,sizeof(keypadinput));                                        // clear the buffer
 while(true)                                                                       // now scan characters in from the keypad
     {strcpy(keychars,keypadgetchar());                                            // go get characters frpm the keypad
      i=strlen(keychars);                                                          // see if we can fit whay we got into the buffer
      j=strlen(keypadinput);
      if((i+j)>sizeof(keypadinput))                                                // if we can't
         {strcpy(keypadinput,"999999999#");                                        //      put a weird value into keyad input
          break;                                                                   // and leave
         }
      strcat(keypadinput,keychars);                                                // otherwise append the new keys to what we've already stored
      i=strlen(keypadinput);                                                       // check to see if we got a '#' -the terminating character
      if(keypadinput[i-1]=='#')                                                    // if we did
           break;
     } 
 sprintf(diagMsg,"KEYS are %s\n",keypadinput);                                     // process the keys
 queMsg(diagMsg);
 printk("%s",diagMsg);
 setup_keyscan();                                                                  // and setup for the next scan
 k_timer_stop(&msclock);
 }
bool init_keys()
{       uint32_t ret;
        uint32_t bits;

        ret = gpio_pin_configure(gpio1, COL3, GPIO_OUTPUT_LOW);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure COL3\n");
		queMsg(diagMsg);
           	return false;
	}
        ret = gpio_pin_configure(gpio1, COL2, GPIO_OUTPUT_LOW);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure COL2\n");
		queMsg(diagMsg);
           	return false;
        }
	ret = gpio_pin_configure(gpio1, COL1, GPIO_OUTPUT_LOW);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure COL1\n");
		queMsg(diagMsg);
           	return false;
	}
        ret = gpio_pin_configure(gpio1, ROW4, GPIO_INPUT |  GPIO_PULL_DOWN);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure ROW4\n");
		queMsg(diagMsg);
           	return false;
	}
        ret = gpio_pin_configure(gpio1, ROW3, GPIO_INPUT | GPIO_PULL_DOWN);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure ROW3\n");
		queMsg(diagMsg);
           	return false;
	}        
        ret = gpio_pin_configure(gpio1, ROW2, GPIO_INPUT | GPIO_PULL_DOWN);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure ROW2\n");
		queMsg(diagMsg);
           	return false;
	}
        ret = gpio_pin_configure(gpio1, ROW1, GPIO_INPUT |  GPIO_PULL_DOWN);
        if (ret != 0) {
		sprintf(diagMsg,"Error: failed to configure ROW1\n");
		queMsg(diagMsg);
           	return false;
	}
        ret = gpio_pin_interrupt_configure(gpio1,
					   ROW1,
					   GPIO_INT_EDGE_RISING | GPIO_ACTIVE_HIGH);
	if (ret != 0) {
		sprintf(diagMsg,"Error %d: failed to configure interrupt on ROW1\n",
			ret);
		queMsg(diagMsg);
		return false;
	}
	ret = gpio_pin_interrupt_configure(gpio1,
					   ROW2,
					   GPIO_INT_EDGE_RISING | GPIO_ACTIVE_HIGH);
	if (ret != 0) {
		sprintf(diagMsg,"Error %d: failed to configure interrupt on ROW2\n",
			ret);
		queMsg(diagMsg);
		return false;
	}
	ret = gpio_pin_interrupt_configure(gpio1,
					   ROW3,
					   GPIO_INT_EDGE_RISING | GPIO_ACTIVE_HIGH);
	if (ret != 0) {
		sprintf(diagMsg,"Error %d: failed to configure interrupt on ROW3\n",
			ret);
		queMsg(diagMsg);
		return false;
        }
	ret = gpio_pin_interrupt_configure(gpio1,
					   ROW4,
					   GPIO_INT_EDGE_RISING | GPIO_ACTIVE_HIGH);
	if (ret != 0) {
		sprintf(diagMsg,"Error %d: failed to configure interrupt on ROW4\n",
			ret);
		queMsg(diagMsg);
		return false;
	}
        bits=0;
        bits=BIT(ROW1) | BIT(ROW2) | BIT(ROW3) | BIT(ROW4);
        sprintf(diagMsg,"BITS %d\n",bits);
	queMsg(diagMsg);
        gpio_init_callback(&keypad_cb_data, key_pressed, BIT(ROW1) |
                                                        BIT(ROW2) |
                                                        BIT(ROW3) |
                                                        BIT(ROW4));
        printk("Keypad GPIO Ports Setup\n");
        setup_keyscan();
        return true;

}
